commit 524ba3a600562ad4baffb22d9a9a9a4e600bee30
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Dec 5 00:25:32 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 74f6fd4e4e4..5f2357c99fc 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241204
+20241205
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index 15c2dc95024..94535184fe7 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,27 @@
+2024-12-04  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-11-18  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/117660
+	* gm2-compiler/P2Build.bnf (ArrayType): Update tok with the
+	composite token produced during array type declaration.
+	* gm2-compiler/P2SymBuild.mod (EndBuildArray): Create the
+	combinedtok and store it into the symbol table.
+	Also ensure combinedtok is pushed to the quad stack.
+	(BuildFieldArray): Preserve typetok.
+	* gm2-compiler/SymbolTable.def (PutArray): Rename parameters.
+	* gm2-compiler/SymbolTable.mod (PutArray): Rename parameters.
+
+2024-12-04  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-11-18  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/117371
+	* gm2-compiler/M2GenGCC.mod (PerformLastForIterator):
+	Add check for zero step value and issue an error message.
+
 2024-12-04  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index b6900ed3405..e3d74edb376 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2024-12-04  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-11-18  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/117660
+	* gm2/iso/fail/arraymismatch.mod: New test.
+
+2024-12-04  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-11-18  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	PR modula2/117371
+	* gm2/iso/fail/forloopbyzero.mod: New test.
+
 2024-12-04  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:

